/**
 * NOTE: Due to a known issue with Mockito and ART, these tests will not run on Lollipop+ devices.
 *
 * https://code.google.com/p/android-developer-preview/issues/detail?id=1081
 * http://stackoverflow.com/a/20514589/681493
 */

@RunWith(AndroidJUnit4.class)
public class URLSchemeTests {

    private static final String TEST_API_KEY = "FAKE_API_KEY";
    private static final String TEST_DISCOUNT_CODE = "DISCOUNT_CODE";
    private static final String TEST_STANDARD_USER_ID = "USER_ID";
    private static final String EXPECTED_NO_DISCOUNT_URL_STRING = "goparche://open?api_key=FAKE_API_KEY";
    private static final String EXPECTED_STANDARD_DISCOUNT_URL_STRING = "goparche://open?partner_user_id=USER_ID&discount_code=DISCOUNT_CODE&api_key=FAKE_API_KEY";

    private Context        mMockContext;
	private PackageManager mMockPackageManager;

// ...