        // The values to validate  are separated by comma,
        // we split and validate each one and we assert this class complies.
         for( String elementSpecification : values.split("(?<!\\\\),")){ // using negative look behind: http://stackoverflow.com/questions/4962925/escape-comma-when-using-string-split/4963037#4963037
             boolean matched = false;
             // Iterates the objects to validate.
             // They may be java.lang.reflect.Method or java.lang.reflect.Field
             // etc.
             // see @getObjectsToValidate
             logger.finest(String.format("Validating: elementSpecification %s to %s %n", elementSpecification, Arrays.toString(getObjectsToValidate(clazz))));
             for( Object o : getObjectsToValidate(clazz) ){
                // Do perform the validation 
                if( assertSpec( o, elementSpecification) ){
                    matched = true;
                    break;
                }
             }
             // Assert matched the spec or no
             assert matched :
                    String.format("%s validating \"%s\" didn't fulfilled: \"%s\" additionalInfo: %n%s ",
                             file,  propertyToValidate(), elementSpecification, methodMessage);
             methodMessage = "";
}