
    // Prevents gesture conflicts with ScrollView
    // <http://stackoverflow.com/a/26296897>

    public static void scrollViewCompat(@NonNull final MySwipeRefreshLayout mySwipeRefreshLayout, @NonNull final ScrollView scrollView) {
        scrollView.getViewTreeObserver().addOnScrollChangedListener(new ViewTreeObserver.OnScrollChangedListener() {

            @Override
            public void onScrollChanged() {
                mySwipeRefreshLayout.setEnabled(scrollView.getScrollY() == 0);
            }

        });
}