    /**
     * Saves the two prime numbers identifying a public/private key to a file.
     * */
    private void saveToFile(Context context, String fileName, BigInteger mod, BigInteger exp) throws Exception {
        // Based on source taken from http://stackoverflow.com/a/9890863
        FileOutputStream outputStream = context.openFileOutput(fileName, Context.MODE_PRIVATE);
        ObjectOutputStream oout = new ObjectOutputStream(new BufferedOutputStream(outputStream));
        try {
            oout.writeObject(mod);
            oout.writeObject(exp);
        } catch (IOException e) {
            throw new Exception(e);
        } finally {
            oout.close();
        }
}