public class BenchmarkTest {

	@Ignore
	@Test
	public void runBenchmarks() throws RunnerException {
		// Taken from http://stackoverflow.com/a/30486197/4014509:
		Options opt = new OptionsBuilder()
				// Specify which benchmarks to run
				.include(getClass().getPackage().getName() + ".*EncryptorBenchmark.*")
				// Set the following options as needed
				.threads(2).forks(1) //
				.shouldFailOnError(true).shouldDoGC(true)
				// .jvmArgs("-XX:+UnlockDiagnosticVMOptions", "-XX:+PrintInlining")
				// .addProfiler(WinPerfAsmProfiler.class)
				.build();

		new Runner(opt).run();
	}

}