    /**
     * Get the method name for a depth in call stack. <br />
     * Utility function <br />
     * <a href="http://stackoverflow.com/a/442789/1582712">Source</a>
     *
     * @param depth depth in the call stack (0 means current method, 1 means call method, ...)
     * @return method name
     */
    public static String getMethodName(final int depth) {
        final StackTraceElement[] ste = Thread.currentThread().getStackTrace();
        return ste[depth].getMethodName();
}