    /**
     * Convert two unsigned bytes to one signed int.
     * <a href="http://stackoverflow.com/a/4768950/254187">Based on this StackOverflow ansewr.</a>
     *
     * @param high  The high byte
     * @param low   The low byte
     * @return      The high byte combined with the low byte as an unsigned int
     */
    public static int bytesToInt(byte high, byte low) {
        return ( (high & 0xFF) << 8 ) | ( low & 0xFF );
}