    public TestActor() {   
        // get sprite from image atlas (source is agenthon/images)
        atlas = new TextureAtlas(Gdx.files.internal("textures/images-packed.atlas"));
        sprite = atlas.createSprite("logo-96");
        
        // http://stackoverflow.com/questions/12487052/cannot-get-events-working-in-my-libgdx-actor/12496745#12496745
        setWidth(sprite.getWidth());
        setHeight(sprite.getHeight());
        setBounds(0, 0, getWidth(), getHeight());

        // setup input listeners
        addListener(new InputListener() {
            @Override
		    public boolean touchDown (InputEvent event, float x, float y, int pointer, int button) {
	            Gdx.app.debug(Agenthon.TAG, "TestActor.touchDown()");
                return true;  // must return true for touchUp event to occur
            }
            @Override
            public void touchUp (InputEvent event, float x, float y, int pointer, int button) {
                Gdx.app.debug(Agenthon.TAG, "TestActor.touchUp()");
            }
		});

}