    @Override
    public void onVideoClick(MovieVideo movieVideo) {
        /*
        Yet to check url to load for sites other than
        YouTube given video key. Currently supports
        only YouTube videos.
         */
        if (!movieVideo.getSite().equalsIgnoreCase(Constants.YOUTUBE)) {
            return;
        }

        /*
        Play video using YouTube app if it exists,
        else default to browser.
        Taken from: http://stackoverflow.com/a/12439378/3946664
         */
        /*
        try {
            intent = new Intent(Intent.ACTION_VIEW,
                    Uri.parse(Constants.URI_YOUTUBE_APP + movieVideo.getKey()));
        } catch (android.content.ActivityNotFoundException e) {
            intent = new Intent(Intent.ACTION_VIEW,
                    Uri.parse(Constants.URI_YOUTUBE_BROWSER + movieVideo.getKey()));
        }
        The above code for opening youtube video does not work on emulators.
        So defaulting to opening using browser url.
         */
        Intent intent = new Intent(Intent.ACTION_VIEW,
                Uri.parse(Constants.URI_YOUTUBE_BROWSER + movieVideo.getKey()));
        startActivity(intent);
}